D4Science Infrastructure - Task #10838

Alias for ckan-grsf-admin2.d4science.org machine
Jan 09, 2018 11:13 AM - Costantino Perciante

Status: Closed Start date: Jan 09, 2018
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: Data Catalogue

Infrastructure: Production

Description

We currently have two machines for the management activities of the GRSF community:

e https://ckan-grsf-admin2.d4science.org/ (newer)
e https://ckan-grsf-admin.d4science.org/ (older)

The older one can be shut down but we need to keep it for a while (I will alert you as soon as we can destroy it)

To let things be as transparent as possible | would like to have an alias for redirecting call addressed at
ckan-grsf-admin.d4science.org to ckan-grsf-admin2.d4science.org

History

#1 - Jan 09, 2018 11:53 AM - Pasquale Pagano

- Tracker changed from Support to Task

#2 - Jan 09, 2018 02:36 PM - Costantino Perciante
- Priority changed from Normal to High

#3 - Jan 09, 2018 03:30 PM - Tommaso Piccioli
- Status changed from New to In Progress

- % Done changed from 0 to 10

new letsencrypt certificate requested.

#4 - Jan 09, 2018 04:26 PM - Tommaso Piccioli
- Status changed from In Progress to Feedback

- % Done changed from 10 to 100

we must wait for the new letsencrypt certificate, no way to obtain it immediately due to the limit to the number of request.

#5 - Jan 09, 2018 05:07 PM - Costantino Perciante

Tommaso Piccioli wrote:

we must wait for the new letsencrypt certificate, no way to obtain it immediately due to the limit to the number of request.

Thanks! I'm wondering how long it would take: are we talking about days or more (weeks)?

#6 - Jan 09, 2018 05:10 PM - Andrea Dell'Amico

Usually we have to wait 2/3 days at maximum. The last big batch of updates was run Jan 2nd, so the certificate could be issued tomorrow (the cap
lasts a week).

#7 - Jan 09, 2018 05:49 PM - Pasquale Pagano

| am wondering the following can be implemented instead

a) shut down ckan-grsf-admin.d4science.org
b) rename ckan-grsf-admin2.d4science.org in ckan-grsf-admin.d4science.org
https://ckan-grsf-admin2.d4science.org/
https://ckan-grsf-admin.d4science.org/

In this way, we don't need to wait for the new certificate and we do not need to add a DNS redirection.

#8 - Jan 09, 2018 05:52 PM - Andrea Dell'Amico

renaming is always a bit awkward but it's doable.
| assumed that ckan-grsf-admin2.d4science.org was already in use.

#9 - Jan 10, 2018 09:35 AM - Tommaso Piccioli
- Status changed from Feedback to Closed
Certificate was OK this morning:
Certificate Subject Alt Name:
DNS Name: ckan-grsf-admin.d4science.org
DNS Name: ckan-grsf-admin2.d4science.org
| will destroy the old ckan-grsf-admin.d4science.org VM.
#10 - Jan 10, 2018 10:05 AM - Costantino Perciante
Tommaso Piccioli wrote:
Certificate was OK this morning:
Certificate Subject Alt Name:
DNS Name: ckan-grsf-admin.d4science.org

DNS Name: ckan-grsf-admin2.d4science.org

| will destroy the old ckan-grsf-admin.d4science.org VM.

Perfect! Let's just keep the old one for a while (i.e. few days)
